## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestTriggerCallback Struct Reference

A quest trigger will get pointers to call back the quest when the trigger fires through this interface. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | TriggerFired (iQuestTrigger *trigger)=0
| Trigger fired.

## Detailed Description

A quest trigger will get pointers to call back the quest when the trigger fires through this interface.

Application code will typically not implement this interface as it is implemented by the quest manager itself.

Definition at line 88 of file questmanager.h.

## Member Function Documentation

virtual void iQuestTriggerCallback::TriggerFired | ( | iQuestTrigger * | trigger | ) | `[pure virtual]`

| Trigger fired.

The documentation for this struct was generated from the following file:

- tools/questmanager.h